commit:     a98d91e832377a271e1b15e63490d50cb76e554d
Author:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 14 18:55:09 2016 +0000
Commit:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
CommitDate: Sun Feb 14 18:55:27 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a98d91e8

dev-python/flask-security: Bump

Package-Manager: portage-2.2.27

 dev-python/flask-security/Manifest                 |  1 +
 .../flask-security/flask-security-1.7.5.ebuild     | 47 ++++++++++++++++++++++
 2 files changed, 48 insertions(+)

diff --git a/dev-python/flask-security/Manifest 
b/dev-python/flask-security/Manifest
index 0ee2118..fa8f4c2 100644
--- a/dev-python/flask-security/Manifest
+++ b/dev-python/flask-security/Manifest
@@ -1 +1,2 @@
 DIST Flask-Security-1.7.4.tar.gz 41467 SHA256 
f0b8ee98ab983d96b808c97d4bc0d6ede9fd7adf88f436dde7f38fb66aa1e2ed SHA512 
9d0f7db3250f6cab5af4e60cdffd2fffe28ef2dc30e38a479eb91f04c559308b5c530784fc4d9bbf410fd3f6060830f150b8cdb56a3a2d650c4873a14e09b622
 WHIRLPOOL 
b747c9e9e73eb82c4c4ebd6d61289e09e383f5055ec2dcee12af74117119431ef341f01917ab108e19fa02b7e84a10fd03c33c8407c00f1668b86ef3236267c2
+DIST Flask-Security-1.7.5.tar.gz 42261 SHA256 
988952dba451896fd7e9dbf838d0e843844f1cbd27a8e15594a9e1d9432f435f SHA512 
41fd806d35746bdc212aa4ab01af678d39765a6d4df42cd19c87b8a2060374112d3e8a5f2fc243e88906505d6a942b9a824cf19a29b2c0eebacde9299534ffc9
 WHIRLPOOL 
1f106bf2339bd3d5b84bf9071c5c67564bbc2d7433f5271bb39dff663011019c3e04073fd4887eebfb95dfcb43e8f99fa8ba17158b6366fa54dd9d42cdb6975c

diff --git a/dev-python/flask-security/flask-security-1.7.5.ebuild 
b/dev-python/flask-security/flask-security-1.7.5.ebuild
new file mode 100644
index 0000000..3f79857
--- /dev/null
+++ b/dev-python/flask-security/flask-security-1.7.5.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 )
+
+inherit distutils-r1
+
+MY_PN="Flask-Security"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Simple security for Flask apps"
+HOMEPAGE="http://pythonhosted.org/${MY_PN}/ 
https://pypi.python.org/pypi/${MY_PN}";
+SRC_URI="mirror://pypi/${MY_P:0:1}/${MY_PN}/${MY_P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+# packages of this type require local running  instances of databases
+# which then require connect to localhost
+RESTRICT="test"
+
+RDEPEND=">=dev-python/flask-0.9[${PYTHON_USEDEP}]
+       >=dev-python/itsdangerous-0.17[${PYTHON_USEDEP}]
+       >=dev-python/passlib-1.6.1[${PYTHON_USEDEP}]
+       >=dev-python/flask-login-0.1.3[${PYTHON_USEDEP}]
+       >=dev-python/flask-mail-0.7.3[${PYTHON_USEDEP}]
+       >=dev-python/flask-wtf-0.8[${PYTHON_USEDEP}]
+       >=dev-python/flask-principal-0.3.3[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? (
+               dev-python/nose[${PYTHON_USEDEP}]
+               dev-python/flask-sqlalchemy[${PYTHON_USEDEP}]
+               dev-python/flask-mongoengine[${PYTHON_USEDEP}]
+               dev-python/flask-peewee[${PYTHON_USEDEP}]
+               dev-python/bcrypt[${PYTHON_USEDEP}]
+               dev-python/simplejson[${PYTHON_USEDEP}]
+       )"
+
+S="${WORKDIR}/${MY_P}"
+
+python_test() {
+       nosetests || die "Testing failed with ${EPYTHON}"
+}

Reply via email to